<?php

namespace Drupal\mollie_payment\Plugin\Payment\Method;

use Drupal\payment\Plugin\Payment\Method\PaymentMethodConfigurationOperationsProvider;

/**
 * Provides mollie_payment operations based on config entities.
 */
class MolliePaymentOperationsProvider extends PaymentMethodConfigurationOperationsProvider {

  /**
   * {@inheritdoc}
   */
  protected function getPaymentMethodConfiguration($plugin_id) {
    $entity_id = substr($plugin_id, 15);

    return $this->paymentMethodConfigurationStorage->load($entity_id);
  }

}
